package dao.prototipo_rapido;

import java.util.HashMap;

import dao.PostDAO;
import dao.PostDTO;

public class PocoTempoPostDAO 
implements PostDAO {

	private static HashMap<Integer, PostDTO> table = null;

	// ------------------------------------------------------
	
	public PocoTempoPostDAO() {
		if ( table == null ) createTable();
	}

	// ------------------------------------------------------
	
	@Override
	public int createPost(PostDTO t) {
		table.put(t.getId(), t);
		return t.getId();
	}

	@Override
	public PostDTO readPost(int id) {
		return table.get(id);
	}

	@Override
	public boolean createTable() {
		if ( table != null )
			return false;
		else {
			table = new HashMap<Integer, PostDTO>();
			return true;
		}
	}

	@Override
	public boolean dropTable() {
		if ( table == null )
			return false;
		else {
			table = null;
			return true;
		}
	}

}
