<%@ page import="java.text.*" %>
<%@ page import="java.util.*" %>

<%@page import="dao.*"%>

<%@ page errorPage="errorpages/insertFailure.jsp"%>

<html>

	<head>
		<title>Nuovo Post</title>

		<meta http-equiv="Pragma" content="no-cache"/>
		<meta http-equiv="Expires" content="Mon, 01 Jan 1996 23:59:59 GMT"/>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<meta name="Author" content="pisi">
		
<jsp:useBean id="contatore" class="bean.Contatore" scope="application"/>
<%
	boolean inserimento = false;

	String testo = request.getParameter("testo");
	
	if ( testo != null && ! testo.equals("") ) {
	
		if ( testo.length() > 149 ) 
			throw new Exception("Testo troppo lungo (massimo 149 caratteri)");

		// SimpleDateFormat from the J2EE Javadoc API on the course web site
		String giorno = new SimpleDateFormat("EEE, MMM d, ''yy").format(new Date());
		String ora = new SimpleDateFormat("h:mm a").format(new Date());
	
		PostDTO postDTO = new PostDTO();
		postDTO.setId(contatore.getValore());
		postDTO.setGiorno(giorno);
		postDTO.setOra(ora);
		postDTO.setTesto(testo);
		
		PostDAO postDAO = DAOFactory.getDAOFactory(Integer.parseInt(application.getInitParameter("daoFactory"))).getPostDAO();
		postDAO.createPost(postDTO);
	
		contatore.aumenta();
		
		inserimento = true;

	}
%>
<%= ( inserimento ? "<meta http-equiv=\"Refresh\" content=\"0; URL=ok.html\"/>" : "" )  %>

		<link rel="stylesheet" href="<%= request.getContextPath() %>/styles/default.css" type="text/css"/>

	</head>

	<body>
		<h1>Inserimento</h1>
		
		<form method="get">
			<table><tr><td>D&igrave; la tua:</td><td><input type="text" name="testo"/></td></tr></table>
			<input type="submit" value="invia!"/>
		</form>

	</body>

</html>
