// --- commodity log ------------------------------------------------------------------------

function info(msg) {
	if ( window.console ) 
		window.console.info(msg);
}

// --- validazione --------------------------------------------------------------------------

function isBlank(txt, msg) {
	if ( txt == "") {
		alert(msg);
		return true;
	}
	else
		return false;
}

function isNumber(txt,msg) {
	info("Validating value: " + txt);
	if ( isBlank(txt,msg) ) 
		return false;
	info("Not blank value: " + txt);
	var regex = /^\d+$/;
	if ( txt.search(regex) == -1 ) {
		info("Validation failed: " + txt);
		alert(msg);
		return false;
	}
	info("Validation success: " + txt);
	return true;
}

function validaModo1() {
	var formChilds = document.getElementById("form").childNodes;
	for ( var i = 0 ; i < formChilds.length ; i++ ) {
		try {
			info("Analyzing: " + formChilds[i]);
			if ( formChilds[i].name == 'numberOfPosts') {
				info("Found: " + formChilds[i].name);
				return isNumber(formChilds[i].value,"Controlla che il numero dei post sia in formato corretto!");
			}
		}
		catch(e) {
		}
	}
	return false;
}

function validaModo2() {
	var inputs = document.getElementsByTagName("input");
	for ( var i = 0 ; i < inputs.length ; i++ ) {
		try {
			if ( inputs[i].name == 'postId') {
				return isNumber(inputs[i].value, "Controlla che l'id del post desiderato sia in formato corretto!");
			}
		}
		catch(e) {
		}
	}
	return false;
}

function valida() {
	return validaModo1() && validaModo2();
}