package dao;


/**
 * DAO interface for accessing the user datatype
 * @author pisi79
 */
public interface PostDAO {

	// --- CRUD methods: create, read, update, delete

	/**
	 * C
	 */
	public int createPost(PostDTO t);

	/**
	 * R
	 */
	public PostDTO readPost(int id);

	// --- Other access methods (read with selects and filters, read all, etc...) ---

	/**
	 * Creazione della table
	 */
	public boolean createTable();
	
	/**
	 * Rimozione della table
	 */
	public boolean dropTable();

}
