<%@ page import="java.text.*" %>
<%@ page import="java.util.*" %>

<%@page import="dao.*"%>

<%@ page errorPage="errorpages/readFailure.jsp"%>

<%!
String printTableRow(PostDTO postDTO) {
	StringBuffer html = new StringBuffer();
	html
		.append("<tr>")
		.append("<th>")
		.append(postDTO.getGiorno())
		.append("</th>")
		.append("<th>")
		.append(postDTO.getOra())
		.append("</th>")
		.append("<th>")
		.append(postDTO.getTesto())
		.append("</th>")
		.append("</tr>");
	return html.toString();
}
%>
<html>

	<head>
		<title>Nuovo Post</title>

		<meta http-equiv="Pragma" content="no-cache"/>
		<meta http-equiv="Expires" content="Mon, 01 Jan 1996 23:59:59 GMT"/>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<meta name="Author" content="pisi">
		
		<link rel="stylesheet" href="<%= request.getContextPath() %>/styles/default.css" type="text/css"/>

	</head>

	<body>
		<h1>Lettura</h1>
				
	<div id="query">
		<form id="form">
			Inserire di seguito:<br/>
			<br/>
			Identificativo del post desiderato:<br/>
			<input name="postId" type="text"/><br/>
			<br/>
			Numero massimo di post da visualizzare, precedenti quello scelto:<br/>
			<input name="numberOfPosts" type="text"/><br/>
			<br/>
			<input value="leggi!" type="submit" /><br/>
		</form>
	</div>

<%
String postId_as_string = request.getParameter("postId");

if ( postId_as_string != null && ! postId_as_string.equals("") ) {
	int postId = Integer.parseInt( postId_as_string );
	int numberOfPosts = Integer.parseInt ( request.getParameter( "numberOfPosts" ) );
	
	PostDAO postDAO = DAOFactory.getDAOFactory(Integer.parseInt(application.getInitParameter("daoFactory"))).getPostDAO();
	PostDTO postDTO = postDAO.readPost(postId);
	if ( postDTO == null ) 
		throw new Exception("Non esiste alcun post associato all'identificativo specificato.");
%>
	<table>
	<tr><th>Giorno</th><th>Ora</th><th>Testo</th></tr>
	<%= printTableRow(postDTO) %>
<%
	for ( int i = postId-1 ; ( i >= 0 && (postId-i) < numberOfPosts ) ; i-- ) {
		try {
			postDTO = postDAO.readPost(i);			
		}
		catch ( Exception e ) {
			break;
		}
		if ( postDTO == null ) 
			break;
		else {
			out.print(printTableRow(postDTO));			
		}
	}//for
%>
	</table>
<%
}//end if
%>

	</body>

</html>
